------------------------------------------------------------------------------------
--Name:  	qixi1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-07-20
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(250, 367)
local Player_1 = CppScriptMgr:AddSimplePlayer(1059617, 251, 368, "Belle", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(120)
local Player_2 = CppScriptMgr:AddSimplePlayer(1054403, 258, 374, "Vani", 0, 0)
Player_2:SetDir(3)
Player_2:SetZoomPercent(150)
Player_2:SetArmor(193725, 0, 1)
Player_2:SetHair(48, 1)
Player_2:SetRWeapon(360224, 0, 1)
CppScriptMgr:WaitMilSec(270)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(740)
Player_1:SetAction(101)
Player_1:Say("I do all good things and never harm anybody! What is wrong?", 1500)
CppScriptMgr:WaitMilSec(1420)
Player_2:Say("You cannot justify being a monster!", 1500)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(1160)
Player_2:Say("This is the last day of your life!", 1500)
CppScriptMgr:WaitMilSec(200)
local effect_1 = CppScriptMgr:AddEffect("JQ_shenluotianzheng", 251, 368, 33, 1, 1, 1)
effect_1:Scale(1.5, 1.5, 1.5)
local effect_0 = CppScriptMgr:AddEffect("5fire", 251, 368, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(140)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(500)
local Effect_2 = CppScriptMgr:AddEffect("xuanyuan_skill4xh", 251, 368, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1270)
Player_2:SetAction(401)
CppScriptMgr:ClearEffect(Effect_2)
Player_1:SetAction(270)
Player_1:SetFrameInterval(70)
Player_2:Say("Perish in hell!", 1500)
local effect_2 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 251, 368, 33, 1, 1, 1)
effect_2:Scale(0.5, 0.5, 0.5)
CppScriptMgr:WaitMilSec(3240)